Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02640 Gameplay Major Have not tried Nov 10, 2008, 02:13 Jan 4, 2016, 21:45
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS Windows 2000
Status [?] Resolved Driver megasys1.cpp
Version 0.128u3 Fixed in Version 0.170 Build Normal
Summary 02640: kazan, iganinju: Multiple issues (slow graphic rendering, missing graphics)
Description From 0.127u1 - there was some change (I suspect 68000 core related) which caused the speed of the action in the game to slow to at least 1/5th the speed of normal gameplay (use 0.127 to compare). MAME 0.127u6 introduced another issue, which renders the game completely unplayable due to lack of displayed graphics (you cannot see anything but a yellow screen.) Throughout all the issues, the sound is played at normal speed as well as inputs working as expected.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.127u1, 0.127u6
Affected Sets / Systems kazan, iganinju
Attached Files
 
Relationships
has duplicate 03980Closed kazan: Video problem with kazan 
has duplicate 05989Closed kazan: Game reset and freeze 
Notes
4
User avatar
No.03024
Mamesick
Senior Tester
Nov 11, 2008, 06:07
Patching out from the interrupts routine the level3 IRQ makes the graphics appear again. The game remains very very slow though so my guess is that kazan need its own interrupt routine that is probably different from the other games.
User avatar
No.03025
Haze
Senior Tester
Nov 11, 2008, 12:44
more likely the interrupts just need fixing in the driver, just look at all the other problems (terrible sprite lag in avenging spirit for example)

I guess it's possible the protection device is involved, but, yeah, interrupts in the driver are a mess, and the sources aren't known.
User avatar
No.07587
haynor666
Tester
Jun 29, 2011, 07:48
Should be marked as non working?
User avatar
No.07625
Kale
Developer
Jul 2, 2011, 17:13
No, it was somehow working before.

I'm planning into rewriting the whole irq stuff for the driver, and try to understand how the protection basically works in it rather than just do patches.